#include <stdio.h>
#include <stdlib.h>
#include <string.h>


int main() {
	int i, j, x=0, k, max=0, zs=0, r=0;
    char text[100], c;
	scanf("%s", text);
    for(i=0;i<12;i++){
    	r = 0;
    	j = i + 1;
    	while(text[i] != text[j]){
			j++;
			r++;
			if(j == 12)
			    break;
		}
		r++;
		if((r >= 3) && (r % 2 != 0))
			zs = zs + 1;
	}
	printf("%d", zs);
	return 0;
}